Skip to Content
Keko
API reference

Usage

GET
/v1/deletions

Query Parameters

after?string
Lengthlength <= 32
limit?integer
Range1 <= value <= 500
Default100

Response Body

OK

application/json
  1. response
userIds*array<string>
next*string
Example Request
curl -X GET 'https://api.keko.run/v1/deletions'
Example Response
{  "userIds": [    "string"  ],  "next": "string"}
POST
/v1/usage

Request Body

application/json
  1. body
reports*array<>
Items1 <= items <= 500

Response Body

OK

application/json
  1. response
accepted*number
duplicates*number
allowances*array<>
Example Request
curl -X POST 'https://api.keko.run/v1/usage' \  -H 'Content-Type: application/json' \  -d '{  "reports": [    {      "id": "stringst",      "userId": "string",      "machineId": "string",      "startedAt": 1,      "endedAt": 1    }  ]}'
Example Response
{  "accepted": 0,  "duplicates": 0,  "allowances": [    {      "userId": "string",      "plan": "free",      "period": "string",      "usedSeconds": 0,      "limitSeconds": 0,      "remainingSeconds": 0,      "maxConcurrent": 0,      "maxSize": "small",      "maxRuns": 0,      "maxClaudeSessions": 0,      "snapshotBuildsPerDay": 0,      "blocked": "hours_used"    }  ]}
GET
/v1/usage/allowance

Query Parameters

userId*string
Length1 <= length <= 200

Response Body

OK

application/json
  1. response
allowance*
Example Request
curl -X GET 'https://api.keko.run/v1/usage/allowance?userId=string'
Example Response
{  "allowance": {    "userId": "string",    "plan": "free",    "period": "string",    "usedSeconds": 0,    "limitSeconds": 0,    "remainingSeconds": 0,    "maxConcurrent": 0,    "maxSize": "small",    "maxRuns": 0,    "maxClaudeSessions": 0,    "snapshotBuildsPerDay": 0,    "blocked": "hours_used"  }}